"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function createAction(type) {
    function res() {
        var actionCreator = (function (payload) { return ({ type: type, payload: payload }); });
        actionCreator.type = type;
        return actionCreator;
    }
    return res;
}
exports.createAction = createAction;
function createReducer(initialState, actionHandlers) {
    return function (state, action) {
        if (state === void 0) { state = initialState; }
        return action.type in actionHandlers ?
            actionHandlers[action.type](state, action) :
            state;
    };
}
exports.createReducer = createReducer;
//# sourceMappingURL=redut.js.map